/*定义滚动条宽高及背景，宽高分别对应横竖滚动条的尺寸*/
::-webkit-scrollbar {
    width: 10px; /*对垂直流动条有效*/
    height: 10px; /*对水平流动条有效*/
    }
    
    /*定义滚动条的轨道颜色、内阴影及圆角*/
    ::-webkit-scrollbar-track{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: rosybrown;
    border-radius: 3px;
    }
    
    
    /*定义滑块颜色、内阴影及圆角*/
    ::-webkit-scrollbar-thumb{
    border-radius: 7px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #E8E8E8;
    }
    
    /*定义两端按钮的样式*/
    ::-webkit-scrollbar-button {
    background-color:#333;
    }
    
    /*定义右下角汇合处的样式*/
    ::-webkit-scrollbar-corner {
    background:khaki;
    }

* {
    margin: 0 ;
    padding: 0;
}
body,html {
    background-color: #55555c;
    width: 100%;
    min-width: 1000px;
    max-height: 1024px;
}
ul,li {
    list-style: none;
}
a {
    text-decoration: none;
    color: #fff;
}
.container {
    width: 100%;
    display: flex;
     transform: scale(0.9);
}
.z-living {
    display: flex;
    flex-direction: column;
    width: 59%;
    /*margin: 30px 0 30px 30px;*/
}
.vider-box {
    /* width: 1100px; */
    width: 100%;
    height: 618px;
}
.vider-box video {
    width: 100%;
    height: 100%;
    background-color: #333334;
}
/* 提示 */
.tips{
	height: 15px;
	width: 100%;
	text-align: center;
	margin-top: 15px;
	color: #ffffff;
}
/* 回看 */
.review {
    /* width: 1100px; */
    width: 100%;
    height: 380px;
    background-color: #2e2e2e;
    margin-top: 10px;
}
.review-top {
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    background-color: #0f0f0f;
    color: #fff;
    border-radius: 12px 12px 0 0;
}
.review-top img {
    width: 7px;
    height: 42px;
    padding: 0 20px;
}
.review-top span {
    font-size: 30px;
}
.review-con {
    width: 100%;
    height: 320px;
    overflow: auto;
}
.review-con ul {
    display: flex;
    padding: 30px;
    /* justify-content: space-between; */
    flex-wrap: wrap;
}
.review-con ul li {
    width: 33.33%;
    height: 258px;
    display: flex;
    justify-content: center;
}
.review-con ul li a {
    width: 271px;
    height: 221px;
    display: block;
    background-color: #484848;
    border-radius: 0 0 8px 8px;
}
.review-con ul li a img {
    display: block;
    width: 100%;
    height: 152px;
}
.review-con ul li a div {
    padding: 8px 24px 0 20px;
    overflow:hidden; 
  /*white-space: nowrap;*/
  text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
}
/* 互动 */
.interaction {
    /* width: 726px; */
    width: 41%;
    height: 1028px;
    background-color: #333334;
    border-radius: 12px;
    /*margin: 30px;*/
     margin-left: 30px;
    position: relative;
}
.send {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 138px;
}
.send ul {
    background-color: #000008;
    width: 100%;
    height: 64px;
    display: flex;
    align-items: center;
}
.send ul li {
    width: 16.66%;
    height: 100%;
    color: #fff;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}
.send ul li img {
    padding: 0 4px;
}
.chat-send {
    z-index: 1;
    height: 74px;
    background: #fff;
    border-radius: 0 0 12px 12px;
}
.chat-send-emoji {
    float: left;
    margin-left: 10px;
    margin-top: 24px;
    cursor: pointer;
}
.chat-send-button {
    float: right;
    height: 100%;
    width: 70px;
    font-size: 20px;
    background: #043c6c;
    border: none;
    outline: none;
    color: #fff;
    cursor: pointer;
    border-radius: 0 0 12px 0;
}
.chat-send-input {
    display: block;
    margin-left: 40px;
    margin-right: 70px;
    width: auto;
    height: 100%;
    overflow: hidden;
}
.chat-send-input-ele {
    display: block;
    margin-top: 15px;
    border: none;
    box-sizing: border-box;
    height: 40px;
    line-height: 40px;
    width: 100%;
    padding: 0 20px;
    border-left: 1px solid #e4ebf0;
    color: #000;
    outline: none;
    white-space: nowrap;
}
/* 发送内容 */
.chat {
    width: 90%;
    margin: 0 auto;
}
.other-msg {
    width: 100%;
    padding: 24px 0;
	/*float: left;*/
}
.other-name {
    display: flex;
}
.other-name span:nth-child(1) {
    color: #7495c0;
    font-size: 16px;
    font-weight: bold;
}
.other-time {
    color: #fff;
    padding: 0 30px;
    margin-bottom: 6px;
}
.own-msg {
    width: 100%;
    padding: 24px 0;
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	/*float: right;*/
    /* display: flex;
    flex-direction: column;
    justify-content: flex-end; */
}
.own-name {
    display: flex;
    justify-content: flex-end;
}
.own-name span:nth-child(2) {
    color: #7495c0;
    font-size: 16px;
    font-weight: bold;
}
.own-time {
    color: #fff;
    padding: 0 30px;
    margin-bottom: 6px;
}

.msg-box {
    display: inline-block;
    height: auto;
    background: #595959;
    color: #fff;
    padding: 8px 10px;
    border-radius: 0 12px 0 12px;
    word-break: break-all;
}
.msg-box2 {
    float: right;
    display: inline-block;
    height: auto;
    background: #595959;
    color: #fff;
    padding: 8px 10px;
    border-radius: 0 12px 0 12px;
    word-break: break-all;
}
.display-none{
	display: none;
}
.living-box{
	width: 100%;
	height: 100%;
}
.review-box{
	width: 100%;
	height: 100%;
}
.loading-box{
	width:100%;
	height: 100%;
	text-align: center;
}
.emoji {
	display: none;
	position: absolute;
	top: -180px;
	width: 270px;
	height: 180px;
	background: #fff;
}
.emoji-img {
	float: left;
	display: block;
	padding: 1px;
	width: 28px;
	height: 28px;
	cursor: pointer;
}
#messageInput .chat-img{
	display: inline-block;
	vertical-align: middle;
}
.chat{
	width: 90%;
	height: 800px;
	overflow: auto;
	padding-bottom: 30px;
	padding-right: 3%;
}
.vider-title{
	position: absolute;
	top: 20px;
	left: 20px;
	display:none;
	font-weight: 700;
	color: #fff;
	transition: color 0.5s;
	-webkit-transition: color 0.5s;
}
.vider-box:hover .vider-title{
	display:block;
}
